[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Variants' (#rtl)

# VarTypeAsText

Return a textual description of the variant type

## Declaration

Source position: variants.pp line 315

`function VarTypeAsText(`
`const AType: tvartype`
`):string;`

## Arguments

`AType` |  | Type for which to get description

## Function result

Textual description of the type

## Description

VarTypeAsText returns a textual description of the variant type aType. It is used in all exception raising routines to describe types, if a type is provided. For custom variant types, the name of the class is returned.

## See also

VarOpAsText |  | Names of operations